Bug 1281744 - [QE] (6.4.z) Intermittent fail of DeploymentManagementTestCase
[QE] (6.4.z) Intermittent fail of DeploymentManagementTestCase
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.6
Assigned To: Lin Gao
Marek Kopecky
:
Depends On:
Blocks: 1235746
  Show dependency treegraph
 
Reported: 2015-11-13 06:25 EST by Marek Kopecky
Modified: 2017-01-17 06:49 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:49:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logs (11.76 KB, text/plain)
2015-11-13 06:26 EST, Marek Kopecky
no flags Details

  None (edit)
Description Marek Kopecky 2015-11-13 06:25:02 EST
Description of problem:
org.jboss.as.test.integration.domain.suites.DeploymentManagementTestCase#testFullReplaceViaHash fails occasionally

Version-Release number of selected component (if applicable):
6.4.5.CP.CR2

How reproducible:
2%

Steps to Reproduce:
1../integration-tests.sh -Dmaven.repo.local=$MAVEN_REPO_LOCAL -fae -Dnode0=$MYTESTIP_1 -Dnode1=$MYTESTIP_2 -Dmcast=$MCAST_ADDR -Djboss.dist=$JBOSS_DIST -Dts.domain -Dtest=DeploymentManagementTestCase -Dts.noSmoke

Actual results:
java.lang.AssertionError: /mnt/hudson_workspace/workspace/eap-6x-as-testsuite-rhel-DeploymentManagementTestCase/45e81cb2/testsuite/domain/target/domains/DeploymentManagementTestCase/slave/data/content/27

For more details see attached logs.

Expected results:
No errors.

Additional info:
Reproducer job: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-as-testsuite-rhel-DeploymentManagementTestCase/3/
Comment 1 Marek Kopecky 2015-11-13 06:26 EST
Created attachment 1093591 [details]
Logs
Comment 2 Lin Gao 2015-12-02 21:48:15 EST
PR sent: https://github.com/jbossas/jboss-eap/pull/2637
Comment 7 Peter Mackay 2016-01-20 10:55:35 EST
Verified with EAP 6.4.6.CP.CR2
Comment 9 Petr Penicka 2017-01-17 06:49:10 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.